package com.slodon.b2b2c.vo.seller;

import com.slodon.b2b2c.core.config.DomainUrlUtil;
import com.slodon.b2b2c.seller.pojo.StoreCompanyShowList;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StoreCompanyShowListVo {

    private Long id;

    private String webSite;

    private Long storeId;

    private String name;

    private String path;

    private Integer sort;

    private Long createId;

    private Date createTime;

    private String status;

    private Long updateId;

    private Date updateTime;

    @ApiModelProperty("工厂图片路径")
    private  String url;

    public StoreCompanyShowListVo(StoreCompanyShowList storeCompanyShowList){
        id = storeCompanyShowList.getId();
        storeId = storeCompanyShowList.getStoreId();
        name = storeCompanyShowList.getName();
        path = storeCompanyShowList.getPath();
        sort = storeCompanyShowList.getSort();
        createId = storeCompanyShowList.getCreateId();
        createTime = storeCompanyShowList.getCreateTime();
        status = storeCompanyShowList.getStatus();
        updateId = storeCompanyShowList.getUpdateId();
        updateTime = storeCompanyShowList.getUpdateTime();
        url = DomainUrlUtil.SLD_IMAGE_RESOURCES+storeCompanyShowList.getPath();

    }

}
